Fetch available cinema dates in the month

Returns all the dates in the month that a cinema movie is showing.

Usually, a cinema movie is an experience/event that recurs. What this means is that unlike normal experiences like parties or comedy shows that usually happen within a day or 2, cinema movies could show for a month, 2 months, a year depending on how long the Cinema business sets it for, and they have days in the week when they show.

They could show from Monday to Saturdays or on just Thursday and Saturday or however the Cinema business sets it to. So, if a movie shows on only Thursdays and Saturdays, that means that for the month of November or December or any other month that you pass, the only dates that will be returned are only the Thursdays and the Saturdays in that month.

That is exactly what this endpoint does.

Retrieve Available Cinema Dates for an Experience

get

Fetch the available dates for a specific cinema experience within a specified month using the experience ID and the month name.

Path parameters
experience_idstringRequired

The unique identifier of the cinema experience.

monthstringRequired

The name of the month (e.g., "January").

Responses
chevron-right
200

Successfully retrieved available dates

application/json
successbooleanOptional

Indicates whether the request was successful.

statusintegerOptional

HTTP status code (e.g., 200 for success).

messagestringOptional

Descriptive message about the response.

datastring[]Optional

A date when the cinema experience is available (formatted as YYYY-MM-DD).

get
/api/v1/merpi/experience/cinema/dates/{experience_id}/{month}
200

Successfully retrieved available dates

Last updated